---
name: base-kernel-environment
channels:
    # For most modules
    - conda-forge
    - defaults
dependencies:
    # Specify python verison for testing purposes
    - python==3.12.*
    # Necessary for kernel creation
    - ipykernel
    # Testing
    - pytest
    # Building
    - wheel
    # jnbv dependencies
    - papermill
    - nbformat
    - pip:
      - build
      - pdm-backend
